Apache JMeter

## org.apache.jmeter.util
Class CPSPauser

    java.lang.Object
      org.apache.jmeter.util.CPSPauser

    public class CPSPauser

extends Object

Generate appropriate pauses for a given CPS (characters per second)

Constructor Summary
`CPSPauser(int cps)` Create a pauser with the appropriate speed settings.

Method Summary
`void` `pause(int bytes)` Pause for an appropriate time according to the number of bytes being transferred.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CPSPauser

    public CPSPauser(int cps)

  Create a pauser with the appropriate speed settings.

  Parameters:
    `cps` - CPS to emulate

Method Detail

### pause

    public void pause(int bytes)

  Pause for an appropriate time according to the number of bytes being transferred.

  Parameters:
    `bytes` - number of bytes being transferred

Apache JMeter

Copyright © 1998-2011 Apache Software Foundation. All Rights Reserved.